﻿seajs.use(['jquery', 'jquery-cookie', 'regular', 'layer'],
    function ($, cookie, regular) {
        var designerGuid = $(".sidebar .des-info").attr("data-designer-guid");
        var designerId = $(".sidebar .des-info").attr("data-designer-id");
        var attentionHtml = $(".sidebar .des-info .attention");
        var mvcToken = $('[name=__RequestVerificationToken]').val();

        $(function () {
            $.ajax({
                url: "/works/Comment/IsFavorite",
                type: "get",
                datatye: "json",
                data: { infoGuid: designerGuid, typeEnum: "DESIGNER", favoriteEnum: "WATCH" },
                success: function (data) {
                    if (!data.IsLogin) {
                        attentionHtml.click(function () {
                            $("#pop-ups").show();
                        });
                    } else {
                        if (data.success) {
                            attentionHtml.replaceWith("<a class='active'>已关注</a>").off("click");
                        }
                        attentionHtml.click(function () {
                            Watch();
                        });
                    }
                }
            });
        });
        function Watch() {
            $.ajax({
                url: "/works/Comment/AddFavorite",
                type: "put",
                datatye: "json",
                data: { guid: designerGuid, id: designerId, typeEnum: "DESIGNER", favoriteEnum: "WATCH", __RequestVerificationToken: mvcToken},
                success: function (data) {
                    if (data.success) {
                        attentionHtml.replaceWith("<a class='active'>已关注</a>").off("click");
                        layer.msg("关注成功");
                    } else {
                        layer.msg("关注失败");
                    }
                }
            });
        }
    });